#ifndef __DEV_H__
#define __DEV_H__

#include <systemc.h>

#include "rom.h"

#define module dev

SC_MODULE( module) {
public:
	sc_out<sc_uint<32> > dr;
	sc_in<sc_uint<32> > dw;
	sc_in<sc_uint<32> > addr;
	sc_in<bool> cw, cr;
	sc_in<bool> clk;
	
	rom rom1;

	sc_signal<sc_uint<32> > _a;
	sc_signal<sc_uint<32> > _y;
	
	void work()
	{
	}

	SC_CTOR( module) :
	 rom1("rom1")
	{
		rom1.a( addr);
		rom1.y( dr);
		rom1.clk( cr);
		SC_METHOD( work);
		sensitive << clk;
	}
};

#undef module

#endif/*__DEV_H__*/
