#ifndef __NAND_H__
#define __NAND_H__

#include <systemc.h>

#define module nand2

SC_MODULE( module) {
public:
	sc_in<bool> a, b;
	sc_out<bool > y;

	void work()
	{
		y = !(a && b);
	}

	SC_CTOR( module) {
		SC_METHOD( work);
		sensitive << a << b;
	}
};

#undef module

#endif/*__NAND_H__*/
