#ifndef __NOT_H__
#define __NOT_H__

#include <systemc.h>

#define module not32
#define N 32

SC_MODULE( module) {
public:
	sc_in<sc_uint<N> > a;
	sc_out<sc_uint<N> > y;

	void work()
	{
		y = ~(a.read());
	}

	SC_CTOR( module) {
		SC_METHOD( work);
		sensitive << a;
	}
};

#undef N
#undef module

#endif/*__NOT_H__*/
