#ifndef __COUNTER_H__
#define __COUNTER_H__

#include <systemc.h>

#define module counter

#define N 32

SC_MODULE( module) {
public:
	sc_in<sc_uint<N> > a;
	sc_out<sc_uint<N> > y;
	sc_in<bool> clk;
	
	int _y;

	void work()
	{
		if (clk.posedge())
		{
			_y++;
//			printf( "** incr\n");
		}
		else
		{
//			_y = 0;
//			printf( "** raz\n");
		}
		y = _y;
	}

	SC_CTOR( module) {
		_y = 0;
		SC_METHOD( work);
		sensitive << clk << a;
		printf( "** init\n");
	}
};

#undef N
#undef module

#endif/*__COUNTER_H__*/
