#ifndef __DEV_H__
#define __DEV_H__

#include <systemc.h>

#include "dff.h"
#include "not.h"
#include "counter.h"

#define module dev

SC_MODULE( module) {
public:
	sc_out<sc_uint<32> > dr;
	sc_in<sc_uint<32> > dw;
	sc_in<sc_uint<32> > addr;
	sc_in<bool> cw, cr;
	sc_in<bool> clk;
	
	dff buf1;
//	dff<sc_uint> buf1;
//	dff buf2;
//	not32 not1;
	counter counter1;

	sc_signal<sc_uint<32> > _a;
	sc_signal<sc_uint<32> > _y;
	
	void work()
	{
	}

	SC_CTOR( module) :
	 buf1("buf1"),
//	 buf2("buf2"),
//	 not1("not1")
	 counter1("counter1")
	{
		buf1.a( dw);
		buf1.y( _a);
		buf1.clk( cw);
//		not1.a( _a);
//		not1.y( dr);
		counter1.a( _a);
		counter1.y( dr);
		counter1.clk( clk);
//		buf2.a( _y);
//		buf2.y( dr);
//		buf2.clk( clk);
		SC_METHOD( work);
		sensitive << clk;
	}
};

#undef module

#endif/*__DEV_H__*/
