#ifndef __TRIS_H__
#define __TRIS_H__

#include <systemc.h>

#define module tris

#define N 32

//template <class T, int size = N>
SC_MODULE( module) {
public:
/*	sc_in<T<size> > a;
	sc_out<T<size> > y;*/
	sc_in<sc_uint<N> > a;
	sc_out<sc_lv<N> > y;
	sc_in<bool> oe;

	void work()
	{
		if (oe)
		{
			sc_uint<N> _a;
			
			_a = a.read();
			y = _a;
		}
		else
			y = "ZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZ";
	}

	SC_CTOR( module) {
		SC_METHOD( work);
		sensitive << oe << a;
	}
};

#undef N
#undef module

#endif/*__TRIS_H__*/
